# Return error code

| Error Code | Error Message                                 | Description                                                                  |
| ---------- | --------------------------------------------- | ---------------------------------------------------------------------------- |
| 400        | Missing parameter                             | Missing parameter                                                            |
| 400        | Maximum request length exceeded               | Exceeds maximum word length                                                  |
| 400        | exceeded                                      | exceeded                                                                     |
| 400        | Incorrect operatorID                          | Incorrect operatorID                                                         |
| 400        | Incorrect requestTime                         | Incorrect requestTime                                                        |
| 400        | Incorrect startTime format                    | Incorrect startTime format                                                   |
| 400        | Incorrect endTime format                      | Incorrect endTime format                                                     |
| 400        | Incorrect time period                         | Incorrect time period                                                        |
| 400        | Incorrect limit format                        | Incorrect limit format                                                       |
| 400        | Incorrect offset format                       | Incorrect offset format                                                      |
| 400        | Incorrect amount format                       | Incorrect amount format                                                      |
| 401        | Incorrect signature                           | Incorrect signature                                                          |
| 401        | Incorrect appSecret                           | Incorrect appSecret                                                          |
| 402        | Insufficient balance                          | Incorrect appSecret                                                          |
| 403        | -                                             | IP access restricted                                                         |
| 404        | PlayerID not found                            | PlayerID does not found                                                      |
| 409        | Duplicate transaction PlayerID already exists | Duplicate transaction                                                        |
| 409        | PlayerID already exists                       | PlayerID already exists                                                      |
| 429        | Limit exceeded                                | Limit exceeded                                                               |
| 500        | -                                             | Internal Server Error (May occurfor different reasons by theinternal server) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkg333.app/en/enum/enum-error-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
